<? $bu_user = Zend_Auth::getInstance()->getIdentity(); ?>
<? if ( Cubix_Application::getId() == APP_EF ): ?>
<script type="text/javascript">   
	window.SmsPopup.addEvent('loaded', function () {
		var self = this;

		new Picker.Date(self.content.getElement('#exact_send_date'), { pickerClass: 'datepicker',
			positionOffset: { x: -10, y: 0 }, allowEmpty: true, timePicker: true, format: 'd M Y H:i' });
		
		if (self.content.getElement('#sms_template'))
			self.content.getElement('#sms_template').addEvent('change', function(e) {
				e.stop();

				var id = self.content.getElement('#sms_template').get('value');
				new Request({
					url: '<?= $this->baseUrl() ?>/sms/index/template?id=' + id,
					onSuccess: function (resp) {
						if ( resp ) {
							self.content.getElement('#text').set('value', resp);
						} else {
							self.content.getElement('#text').set('value', '');
						}
					}.bind(this)
				}).send();
			});
			
		this.removeEvents('loaded');
		window.fireEvent('resize');
	});
</script>
<? endif; ?>

<style>
	#phone_add { display: block; height: 16px; width: 16px; background: url("/img/famfamfam/phone_add.png") no-repeat; margin-top: 19px}
</style>

<form class="form-common" action="<?= $this->baseUrl() ?>/sms/index/send" method="post" class="form" id="sms">
<div>
	<div class="inner" style="margin-right:0">
		<? if(isset($this->sms_inbox_id)):?>
			<input type="hidden" name="sms_inbox_id" value="<?= $this->sms_inbox_id ?>"/>
			<input type="hidden" name="phone_number_original" value="<?= ($this->phone_from) ? $this->phone_from : '' ?>" />

		<? endif; ?>
		<label for="phone_number">Phone Number(s)</label>
		<? if(isset($this->escort_numbers)):?>
		<input type="hidden" name="escort_numbers" value = <?= $this->escort_numbers ?> />
		<?elseif (isset($this->agency_numbers)):?>
		<input type="hidden" name="agency_numbers" value = <?= $this->agency_numbers ?> />
		<? endif; ?>

		<? if ( count($this->escorts) ): ?>
		<div style="margin-left: 15px;">
			<? foreach( $this->escorts as $i => $escort ): ?>
				<? if ( $escort['contact_phone_parsed'] ): ?>
				<strong><?= $escort['showname'] ?></strong> <span>(<?= $escort['contact_phone_parsed'] ?>)<?= ( count($this->escorts) > $i + 1 ) ? ',' : ''; ?> </span><br/>

				<? endif; ?>
			<? endforeach; ?>
		</div>
		<? elseif( count($this->agencies) ):?>
		<div style="margin-left: 15px;">
			<? foreach( $this->agencies as $i => $agency ): ?>
				<? if ( $agency->contact_phone_parsed ): ?>
					<strong><?= $agency->display_name ?></strong> <span>(<?= $agency->contact_phone_parsed ?>)<?= ( count($this->agencies) > $i + 1 ) ? ',' : ''; ?> </span><br/>
				<? endif; ?>
				<? if ( $agency->contact_phone_parsed_2 ): ?>
					<strong><?= $agency->display_name ?></strong> <span>(<?= $agency->contact_phone_parsed_2 ?>)<?= ( count($this->agencies) > $i + 1 ) ? ',' : ''; ?> </span><br/>
				<? endif; ?>
				<? if ( $agency->contact_phone_parsed_3 ): ?>
					<strong><?= $agency->display_name ?></strong> <span>(<?= $agency->contact_phone_parsed_3 ?>)<?= ( count($this->agencies) > $i + 1 ) ? ',' : ''; ?> </span><br/>
				<? endif; ?>
			<? endforeach; ?>
		</div>
		<? else: ?>
		<input class="txt w20" type="text" id="phone_number" name="phone_number" value="<?= ($this->phone_from) ? $this->phone_from : '' ?>" />
		<? endif; ?>
	</div>
	<? if ( ! $this->no_btn ): ?>
	<div class="inner">
		<a href="#" id="phone_add" style="pointer-events: none"></a>
	</div>
	<? endif; ?>
	
	<div class="clear"></div>
	
	<? if ($this->temlates): ?>
		<div class="inner">
			<label for="templates">Templates</label>
			<select name="template" id="sms_template">
				<option value="">--- Use Template ---&nbsp;&nbsp;</option>
				<? foreach ($this->temlates as $template): ?>
					<option value="<?= $template->id ?>"><?= $template->title ?></option>
				<? endforeach; ?>
			</select>
		</div>

		<div class="clear"></div>
	<? endif; ?>
		
	<? if ( Cubix_Application::getId() == APP_ED &&  $bu_user->type == 'call center'): ?>	
		<div class="inner">
			<label for="phone_originator">From number </label>
			<select name="originator" id="phone_originator">
				<option value="0041798071093">0041798071093</option>
				<option value="">--- Use Default ---</option>
			</select>
		</div>
	<? endif; ?>
	
	<? if ( Cubix_Application::getId() == APP_A6): ?>	
		<div class="inner">
			<label for="phone_originator">From number </label>
			<select name="originator" id="phone_originator">
				<option value="">--- Use Default ---</option>
				<option value="0041798070684">0041798070684</option>
			</select>
		</div>
	<? endif; ?>
		
	<? if ( Cubix_Application::getId() == APP_EF ): ?>
	<div class="inner">
		<label class="" style="display: block" for="send_now">
			<input type="radio" id="send_now" value="now" checked="checked" name="send_time" style="vertical-align:middle;">
			<span style="vertical-align:middle" class="pl5">Send Now</span>
		</label>

		<label class="" style="display: inline" for="at_exact_datetime">
			<input type="radio" id="at_exact_datetime" value="later" name="send_time" style="vertical-align:middle;">
			<span style="vertical-align:middle" class="pl5">At Exact DateTime</span>
		</label>

		<input type="text" id="exact_send_date" class="txt" name="exact_send_date" value="" />		
	</div>
	<div class="clear"></div>
	<? endif; ?>
			
	<div class="inner">
		<label for="text">Text</label>
		<? /*<input class="txt w45" type="text" id="text" name="text" value="" maxlength="160" />*/ ?>
		<textarea name="text" id="text" class="txt" cols="60" rows="3"></textarea>
	</div>
	
	<div class="clear"></div>
</div>
</form>
